//Algorithm to calculate the meters
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 28/01/2022
/*****************************************************************************INCLUDE**********************************************************************************************/
#include <iostream>
using namespace std;
/*
Exercise 11
*/
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************MAIN*****************************************************************************************************************/
int main() {
	
	Run();
	return 0;
}
//***********************************************************************GLOBAL VARIABLE*******************************************************************************************************
	double metros;
	double pulgadas;
	double centrimetros;
	double yardas;
	double pies;
/********************************************************************FUNCTION DEFINITION**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//======================================================================================================================================================================================
void CollectData(){
	cout<<"Ingrese una medida en metros: "<< endl;
	cin>> metros;
}
//===================================================================================================================================================================================
void Calculate() {
	centrimetros = metros*100;
	pulgadas = metros*39.3701;
	pies= metros*3.28084;
	yardas = metros*1.09361;
}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	cout<<metros<<" metros equivalen a "<<centrimetros<<" centrimetros "<<endl;
	cout<<metros<<" metros equivalen a "<<pulgadas<<" pulgadas "<<endl;
	cout<<metros<<" metros equivalen a "<<pies<<" pies "<<endl;
	cout<<metros<<" metros equivalen a "<<yardas<<" yardas "<<endl;	 
}

